> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Update Team Member Info > Updates a team member's roles. Permission required: `edit-team-member` ## OpenAPI ````json POST /api/v1/teams.updateMember { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/teams.updateMember": { "post": { "tags": [ "Teams" ], "summary": "Update Team Member Info", "description": "Updates a team member's roles. \n\nPermission required: `edit-team-member`", "operationId": "post-api-v1-teams.updateMembers", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "required": [ "teamId", "member" ], "properties": { "teamId": { "type": "string", "description": "Enter the team ID. Alternatively, enter the `teamName` parameter and provide the team's name as the value." }, "member": { "type": "object", "description": "The users (IDs and roles) to add or update in the team.", "properties": { "userId": { "type": "string", "description": "Enter the user ID." }, "roles": { "type": "array", "items": {} } } } } }, "examples": { "Example": { "value": { "teamId": "63f3efc4b000b6b6d86704b2", "member": { "userId": "rYhzFRd2QZjNwAAXX", "roles": [ "owner", "leader" ] } } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": true } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````